image:
  name: williamyeh/ansible:ubuntu18.04

variables:
    ANSIBLE_HOST_KEY_CHECKING: 'false'
    ANSIBLE_FORCE_COLOR: 'true'

before_script:
  - cat $keys > keys.pem
  - chmod 0600 keys.pem
  - echo $ANSIBLE_VAULT_PASSWORD > .vault_password.txt
stages:
  - apply

apply:
  stage: apply
  script:
    - ansible-playbook -i environment/$env/inventory --private-key=keys.pem -u ec2-user --vault-password-file .vault_password.txt setup.yml --tags $tag
  when: manual
  tags:
    - TSDB_Siemens
after_script:
    - rm -rf keys.pem
    - rm -rf .vault_password.txt

